import {App, Platform, Config} from 'ionic-angular';
import {TabsPage} from './pages/tabs/tabs';

// https://angular.io/docs/ts/latest/api/core/Type-interface.html
import {Type} from 'angular2/core';


@App({
  template: '<ion-nav [root]="rootPage"></ion-nav>',
  config: {
      
  } // http://ionicframework.com/docs/v2/api/config/Config/
})
export class MyApp {
  rootPage: Type = TabsPage;

  constructor(platform: Platform, config: Config) {
    platform.ready().then(() => {
       console.log('App testVariable: ' + config.get('testVariable'));
        
        config.set('ios','testVariable','true6');
        console.log('App testVariable: ' + config.get('testVariable'));
        
        config.set('android','testVariable','true7');
        console.log('App testVariable: ' + config.get('testVariable'));
        
        config.set('','testVariable','true8');
        console.log('App testVariable: ' + config.get('testVariable'));
        
        config.set('testVariable','true9');
        console.log('App testVariable: ' + config.get('testVariable'));
        
        console.log("App: " + config.get('iconMode'));
        config.set('ios', 'iconMode', 'md');
        console.log("App: " + config.get('iconMode'));
      // The platform is now ready. Note: if this callback fails to fire, follow
      // the Troubleshooting guide for a number of possible solutions:
      //
      // Okay, so the platform is ready and our plugins are available.
      // Here you can do any higher level native things you might need.
      //
      // First, let's hide the keyboard accessory bar (only works natively) since
      // that's a better default:
      //
      // Keyboard.setAccessoryBarVisible(false);
      //
      // For example, we might change the StatusBar color. This one below is
      // good for dark backgrounds and light text:
      // StatusBar.setStyle(StatusBar.LIGHT_CONTENT)
    });
  }
  
  
}
